Subject: Re: [bug#77251] [PATCH] guix: gtk-icon-themes: produce only cache in output

From: 宋文武 <[email-masked]>
Date: Sun, 27 Apr 2025 10:40:22 +0800

Rutherther <[email-masked]> writes:

> This patch changes the behavior of gtk-icon-themes to produce only the
> icon-theme.cache cache files, instead of producing the whole union.
> The reason for this is that by producing the whole union, the icons are put to
> the profile twice. This throws off the union build of the profile and symlinks
> all the individual files instead of symlinking folders. This means
> unnecessarily high numbers of symlinks are produced.
>
> * guix/profiles.scm (gtk-icon-themes): Produce only caches

Pushed to master as commit 32575294, with simplified commit message.

Thank you!